from messagebus import (
    TokenCreator,
    TokenPriority,
)


STORE_CFG_GROUP = "13"


TK_STORE_CFG_GET = TokenCreator.create_token(
    priority=TokenPriority.low,
    message_group=STORE_CFG_GROUP,
    number="1",
)

TK_STORE_CFG_GET_FULL = TokenCreator.create_token(
    priority=TokenPriority.low,
    message_group=STORE_CFG_GROUP,
    number="2",
)

TK_STORE_CFG_SET = TokenCreator.create_token(
    priority=TokenPriority.low,
    message_group=STORE_CFG_GROUP,
    number="3",
)

TK_STORE_CFG_GET_COMPLETE_CONFIG = TokenCreator.create_token(
    priority=TokenPriority.low,
    message_group=STORE_CFG_GROUP,
    number="4",
)

TK_STORE_CFG_UPDATE_COMPLETE_CONFIG = TokenCreator.create_token(
    priority=TokenPriority.low,
    message_group=STORE_CFG_GROUP,
    number="5",
)
